### Home Classes Methods

### In Files

- lib/prawn/table/cell/subtable.rb

### Parent

Prawn::Table::Cell

### Methods

- ::new
- #draw_content
- #max_width
- #min_width
- #natural_content_height
- #natural_content_width
- #text_color=

### Files

- COPYING
- GPLv2
- GPLv3
- LICENSE

### Class/Module Index

Quicksearch

- Prawn
- Prawn::Core
- Prawn::Core::Page
- Prawn::Core::Page::GraphicsState
- Prawn::Core::Reference
- Prawn::Document
- Prawn::Document::BoundingBox
- Prawn::Document::ColumnBox
- Prawn::Document::GraphicsState
- Prawn::Document::Grid
- Prawn::Document::Internals
- Prawn::Document::PageGeometry
- Prawn::Document::Security
- Prawn::Document::Snapshot
- Prawn::Encoding
- Prawn::Errors
- Prawn::Font
- Prawn::Font::AFM
- Prawn::Font::DFont
- Prawn::Font::TTF
- Prawn::GraphicState
- Prawn::GraphicStateStack
- Prawn::Graphics
- Prawn::Graphics::CapStyle
- Prawn::Graphics::Color
- Prawn::Graphics::Dash
- Prawn::Graphics::Gradient
- Prawn::Graphics::JoinStyle
- Prawn::Graphics::Transformation
- Prawn::Graphics::Transparency
- Prawn::Images
- Prawn::Images::JPG
- Prawn::Images::PNG
- Prawn::Layout
- Prawn::Measurements
- Prawn::Outline
- Prawn::Stamp
- Prawn::Table
- Prawn::Table::Cell
- Prawn::Table::Cell::InTable
- Prawn::Table::Cell::Subtable
- Prawn::Table::Cell::Text
- Prawn::Table::Cells
- Prawn::Text
- Prawn::Text::Box
- Prawn::Text::Formatted
- Prawn::Text::Formatted::Box
- Prawn::Text::Formatted::Fragment
- Prawn::Text::Formatted::Parser
- Arcfour
- Numeric

No matching classes.

# Prawn::Table::Cell::Subtable

A Cell that contains another table.

### Attributes

subtable[R]

### Public Class Methods

new(pdf, point, options={}) click to toggle source

    # File lib/prawn/table/cell/subtable.rb, line 17
    def initialize(pdf, point, options={})
      super
      @subtable = options[:content]

      # Subtable padding defaults to zero
      @padding = [0, 0, 0, 0]
    end

### Public Instance Methods

draw_content() click to toggle source

Draws the subtable.

    # File lib/prawn/table/cell/subtable.rb, line 57
    def draw_content
      @subtable.draw
    end

max_width() click to toggle source

Proxied to subtable.

    # File lib/prawn/table/cell/subtable.rb, line 45
    def max_width
      @subtable.cells.max_width
    end

min_width() click to toggle source

Proxied to subtable.

    # File lib/prawn/table/cell/subtable.rb, line 39
    def min_width
      @subtable.cells.min_width
    end

natural_content_height() click to toggle source

Proxied to subtable.

    # File lib/prawn/table/cell/subtable.rb, line 51
    def natural_content_height
      @subtable.cells.height
    end

natural_content_width() click to toggle source

Proxied to subtable.

    # File lib/prawn/table/cell/subtable.rb, line 33
    def natural_content_width
      @subtable.cells.width
    end

text_color=(color) click to toggle source

Sets the text color of the entire subtable.

    # File lib/prawn/table/cell/subtable.rb, line 27
    def text_color=(color)
      @subtable.cells.text_color = color
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.